Package org.eclipse.m2m.atl.emftvm.ant

## Class CompileTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask
      - - org.eclipse.m2m.atl.emftvm.ant.CompileTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CompileTask
    extends EMFTVMTask

Compiles an ATL module to EMFTVM bytecode.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`RESOURCE_SET`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`CompileTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfiguredModuleSet​(org.apache.tools.ant.types.FileSet moduleSet)` Adds module set to the compile task.
`java.lang.String` `getCharset()` Returns the character set to be used for parsing.
`protected AtlToEmftvmCompiler` `getCompiler()` Returns the `AtlToEmftvmCompiler`.
`java.lang.String` `getModule()` Returns the module name.
`java.lang.String` `getModulePath()` Returns the module path.
`java.util.List<org.apache.tools.ant.types.FileSet>` `getModuleSets()` Returns the module `FileSet`.
`java.lang.String` `getOutputPath()` Returns the directory path to write the output file to.
`protected void` `innerExecute()` Performs the actual execution.
`void` `setCharset​(java.lang.String charset)` Sets the character set to be used for parsing.
`void` `setModule​(java.lang.String module)` Sets the module name.
`void` `setModulePath​(java.lang.String modulePath)` Sets the module path.
`void` `setOutputPath​(java.lang.String outputPath)` Sets the directory path to write the output file to.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`execute, getMetamodel, getModel, getResourceSet, setModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompileTask

    public CompileTask()

### Method Detail

#### setModule

    public void setModule​(java.lang.String module)

Sets the module name.

Parameters:
  `module` - the module to set

#### getModule

    public java.lang.String getModule()

Returns the module name.

Returns:
  the module

#### setModulePath

    public void setModulePath​(java.lang.String modulePath)

Sets the module path. If not set, `Project.getBaseDir()` is used.

Parameters:
  `modulePath` - the modulePath to set

#### getModulePath

    public java.lang.String getModulePath()

Returns the module path. If not set, `Project.getBaseDir()` is used.

Returns:
  the modulePath

#### getCharset

    public java.lang.String getCharset()

Returns the character set to be used for parsing.

Returns:
  the character set to be used for parsing

#### setCharset

    public void setCharset​(java.lang.String charset)

Sets the character set to be used for parsing.

Parameters:
  `charset` - the character set to set

#### getOutputPath

    public java.lang.String getOutputPath()

Returns the directory path to write the output file to. If not set, `getModulePath()` is used.

Returns:
  the outputPath

#### setOutputPath

    public void setOutputPath​(java.lang.String outputPath)

Sets the directory path to write the output file to. If not set, `getModulePath()` is used.

Parameters:
  `outputPath` - the outputPath to set

#### getModuleSets

    public java.util.List<org.apache.tools.ant.types.FileSet> getModuleSets()

Returns the module `FileSet`.

Returns:
  the moduleSets

#### addConfiguredModuleSet

    public void addConfiguredModuleSet​(org.apache.tools.ant.types.FileSet moduleSet)

Adds module set to the compile task.

Parameters:
  `moduleSet` - the module set to add

#### getCompiler

    protected AtlToEmftvmCompiler getCompiler()

Returns the `AtlToEmftvmCompiler`.

Returns:
  the compiler

#### innerExecute

    protected void innerExecute()
                         throws java.lang.Exception

Performs the actual execution.

Specified by:
  `innerExecute` in class `EMFTVMTask`
Throws:
  `java.lang.Exception`